Skip to main content
POST
/
v1
/
documents
curl --request POST \
  --url https://{instance}.omniapp.co/api/v1/documents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "modelId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "name": "Sales Dashboard",
  "description": "Q1 2026 sales performance metrics"
}
'
{
  "dashboard": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "metadata": {
      "layouts": {},
      "textTiles": [
        {}
      ],
      "hiddenTiles": [
        "<string>"
      ],
      "tileSettings": {},
      "tileFilterMap": {},
      "tileControlMap": {}
    },
    "metadataVersion": 123,
    "refreshInterval": 123,
    "facetFilters": true,
    "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workbookId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "creatorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "updaterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "queryPresentationCollectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "dashboardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "workbook": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "deletedAt": "2023-11-07T05:31:56Z",
    "publishedAt": "2023-11-07T05:31:56Z",
    "isDraft": true,
    "identifier": "<string>",
    "name": "<string>",
    "lastItemIndex": 123,
    "ephemeral": "<string>",
    "organizationRole": "<string>",
    "organizationAccessBoost": true,
    "publicRole": "<string>",
    "publicAccessBoost": true,
    "canAnalyze": true,
    "canDownload": true,
    "canDrill": true,
    "canSchedule": true,
    "canUpload": true,
    "canViewWorkbook": true,
    "canUseTimezoneOverride": true,
    "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "updaterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "originDocumentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Body

application/json
modelId
string<uuid>
required

The ID of the model to build the document on

name
string
required

The name of the document

description
string

Description of the document

Required string length: 1 - 1024
identifier
string

Custom identifier for the document. If not provided, an identifier will be auto-generated.

The identifier is used in the document's URL and must be unique across all documents in your organization.

Format requirements:

  • Must match the pattern: lowercase letters, numbers, hyphens, and underscores only
  • Cannot start or end with a hyphen or underscore

Note: Once created, the identifier can be changed using the Update document endpoint.

Example:

"sales-dashboard-2026"

queryPresentations
object[]

An array of query presentation objects, each representing a query in the document's workbook

Response

Document created successfully

dashboard
object
workbook
object